# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2017-11-02 07:06
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0003_auto_20171101_0158'),
    ]

    operations = [
        migrations.CreateModel(
            name='Device',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identifier', models.CharField(max_length=255)),
                ('name', models.CharField(max_length=255)),
            ],
            options={
                'verbose_name': 'Dispositivo',
            },
        ),
        migrations.CreateModel(
            name='Record',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateTimeField(auto_now_add=True)),
                ('device', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Device')),
                ('parameter', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Parameter')),
            ],
            options={
                'verbose_name': 'Registro',
            },
        ),
    ]
